#ifndef CORE_NEW_H
#define CORE_NEW_H

#include <stddef.h>

void* operator new(size_t bytes) noexcept;
void* operator new[](size_t bytes) noexcept;
void operator delete(void* p) noexcept;
void operator delete[](void* p) noexcept;
void operator delete(void* p, size_t bytes) noexcept;
void operator delete[](void* p, size_t bytes) noexcept;
void* operator new(size_t bytes, void* p) noexcept;
// void* operator new[](size_t bytes, void* p) noexcept;

#endif